Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# InStream< S, R > Class Template Reference

Generic class for classes that do both formated and physical reading of data from streams. More...

`#include <InStreams.h>`

Inheritance diagram for InStream< S, R >:

[legend]
Collaboration diagram for InStream< S, R >:

[legend]
List of all members.

## Public Member Functions
| InStream ()
| Standard constructor.
virtual void | read (void *p, int size)
| The function reads a number of bytes from a stream.
virtual void | skip (int size)
| The function skips a number of bytes in the stream.
virtual bool | eof () const
| Determines whether the end of file has been reached.
## Protected Member Functions
virtual void | inChar (char &d)
| Virtual redirection for operator>>(char& value).
virtual void | inUChar (unsigned char &d)
| Virtual redirection for operator>>(unsigend char& value).
virtual void | inShort (short &d)
| Virtual redirection for operator>>(short& value).
virtual void | inUShort (unsigned short &d)
| Virtual redirection for operator>>(unsigend short& value).
virtual void | inInt (int &d)
| Virtual redirection for operator>>(int& value).
virtual void | inUInt (unsigned int &d)
| Virtual redirection for operator>>(unsigend int& value).
virtual void | inLong (long &d)
| Virtual redirection for operator>>(long& value).
virtual void | inULong (unsigned long &d)
| Virtual redirection for operator>>(unsigend long& value).
virtual void | inFloat (float &d)
| Virtual redirection for operator>>(float& value).
virtual void | inDouble (double &d)
| Virtual redirection for operator>>(double& value).
virtual void | inString (char *d)
| Virtual redirection for operator>>(char* value).
virtual void | inEndL ()
| Virtual redirection for operator>>(In& (*f)(In&)) that reads the symbol "endl";.

## Detailed Description

### template<class S, class R>
class InStream< S, R >

Generic class for classes that do both formated and physical reading of data from streams.

Definition at line 177 of file InStreams.h.

## Constructor & Destructor Documentation

template<class S, class R>
InStream< S, R >::InStream | ( |  | ) | `[inline]`

| Standard constructor. Definition at line 181 of file InStreams.h.

## Member Function Documentation

template<class S, class R>
virtual void InStream< S, R >::read | ( | void * | p,
|  | int | size
| ) | `[inline, virtual]`

  | The function reads a number of bytes from a stream. Parameters:
  p | The address the data is written to. Note that p must point to a memory area that is at least "size" bytes large.
  size | The number of bytes to be read.
Implements In. Definition at line 190 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::skip | ( | int | size | ) | `[inline, virtual]`

  | The function skips a number of bytes in the stream. Parameters:
  size | The number of bytes to be skipped.
Implements In. Definition at line 197 of file InStreams.h.

template<class S, class R>
virtual bool InStream< S, R >::eof | ( |  | ) | const`[inline, virtual]`

| Determines whether the end of file has been reached. Implements In. Definition at line 203 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::inChar | ( | char & | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator>>(char& value). Implements In. Definition at line 209 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::inUChar | ( | unsigned char & | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator>>(unsigend char& value). Implements In. Definition at line 215 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::inShort | ( | short & | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator>>(short& value). Implements In. Definition at line 221 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::inUShort | ( | unsigned short & | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator>>(unsigend short& value). Implements In. Definition at line 227 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::inInt | ( | int & | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator>>(int& value). Implements In. Definition at line 233 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::inUInt | ( | unsigned int & | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator>>(unsigend int& value). Implements In. Definition at line 239 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::inLong | ( | long & | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator>>(long& value). Implements In. Definition at line 245 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::inULong | ( | unsigned long & | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator>>(unsigend long& value). Implements In. Definition at line 251 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::inFloat | ( | float & | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator>>(float& value). Implements In. Definition at line 257 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::inDouble | ( | double & | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator>>(double& value). Implements In. Definition at line 263 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::inString | ( | char * | d | ) | `[inline, protected, virtual]`

| Virtual redirection for operator>>(char* value). Implements In. Definition at line 269 of file InStreams.h.

template<class S, class R>
virtual void InStream< S, R >::inEndL | ( |  | ) | `[inline, protected, virtual]`

| Virtual redirection for operator>>(In& (*f)(In&)) that reads the symbol "endl";. Implements In. Definition at line 276 of file InStreams.h.

The documentation for this class was generated from the following file:

- Tools/Streams/InStreams.h